%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: RPM installer/updater
Name: yum
Version: 2.6.1
Release: 0%{?dist}
License: GPL
Group: System Environment/Base
Source0: http://linux.duke.edu/projects/yum/download/2.5/yum-%{version}.tar.gz
Source1: yum.conf.startcom

Source99: plugin.conf
# default plugins here
Source100: installonlyn.py

URL: http://linux.duke.edu/yum/
BuildArchitectures: noarch
BuildRequires: python
BuildRequires: gettext
Obsoletes: yum-phoebe
Requires: python, rpm-python, rpm >= 0:4.1.1, libxml2-python
Requires: python-sqlite
Requires: urlgrabber
Requires: python-elementtree
Prereq: /sbin/chkconfig, /sbin/service, coreutils
BuildRoot: %{_tmppath}/%{name}-root

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded 
automatically prompting the user as necessary.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/yum.conf

chmod +x $RPM_BUILD_ROOT/%{_sysconfdir}/cron.daily/yum.cron
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d $RPM_BUILD_ROOT/usr/lib/yum-plugins

install -m 644 %{SOURCE100} $RPM_BUILD_ROOT/usr/lib/yum-plugins/installonlyn.py
install -m 644 %{SOURCE99} $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d/installonlyn.conf
cat >> $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d/installonlyn.conf << EOF
# this sets the number of package versions which are kept
tokeep=2
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add yum
/sbin/service yum condrestart >> /dev/null
exit 0

%preun
if [ $1 = 0 ]; then
 /sbin/chkconfig --del yum
 /sbin/service yum stop >> /dev/null
fi
exit 0

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING TODO INSTALL ChangeLog PLUGINS
%config(noreplace) %{_sysconfdir}/yum.conf
%dir %{_sysconfdir}/yum.repos.d
%dir %{_sysconfdir}/yum
%config(noreplace) %{_sysconfdir}/yum/yum-daily.yum
%config(noreplace) %{_sysconfdir}/cron.daily/yum.cron
%config(noreplace) %{_sysconfdir}/cron.weekly/yum.cron
%config %{_sysconfdir}/rc.d/init.d/%{name}
%config %{_sysconfdir}/logrotate.d/%{name}
%dir %{_datadir}/yum-cli
%{_datadir}/yum-cli/*
%{_bindir}/yum
%{_bindir}/yum-arch
%{python_sitelib}/yum
%{python_sitelib}/repomd
%{python_sitelib}/rpmUtils
%dir /var/cache/yum
%{_mandir}/man*/*
# plugin stuff
%dir %{_sysconfdir}/yum/pluginconf.d 
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/*
%dir /usr/lib/yum-plugins
/usr/lib/yum-plugins/*

%changelog
* Sun May 14 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Wed Apr 26 2006 Jeremy Katz <katzj@redhat.com> - 2.6.1-1
- update to 2.6.1 with fixes for #181406, #185309, #161190, #185946

* Tue Apr 18 2006 Jeremy Katz <katzj@redhat.com> - 2.6.0-3
- more proxy fixing for non CLI use case (#185309)

* Mon Apr 10 2006 Jeremy Katz <katzj@redhat.com> - 2.6.0-2
- add fix for xen0/xenU kernels in installonlyn (#187894)
- add fix for proxies with the mirror list (#161190)

* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 2.6.0-1
- update to 2.6.0 final containing fix for #176257

* Fri Mar 03 2006 Paul Nasrat <pnasrat@redhat.com> - 2.5.3-5
- Add support for patterns in YumBase.install()

* Thu Mar 02 2006 Paul Nasrat <pnasrat@redhat.com> - 2.5.3-4
- Cover pkg then group selection in conditional group support (#181858)

* Thu Mar 02 2006 Paul Nasrat <pnasrat@redhat.com> - 2.5.3-3
- Conditional group support (#181858)

* Fri Feb 24 2006 Jeremy Katz <katzj@redhat.com> - 2.5.3-2
- fix installyonlyn bug with tokeep > 2 (#176704)

* Wed Feb 22 2006 Jeremy Katz <katzj@redhat.com> - 2.5.3-1
- Update to 2.5.3 with fixes for lots of stuff (and all of our patches applied)
  (#177528, #177737, #179512, others)

* Fri Feb 10 2006 Paul Nasrat <pnasrat@redhat.com> - 2.5.1-5
- Merge patches from head for group plugin support and conditionals

* Fri Feb 03 2006 Paul Nasrat <pnasrat@redhat.com> - 2.5.1-4
- Fix group unselect traceback (cf #177737)

* Tue Jan 31 2006 Paul Nasrat <pnasrat@redhat.com> - 2.5.1-3
- Merge upstream patches (sortabletransactiondata, grouplists)

* Sun Jan 15 2006 Paul Nasrat <pnasrat@redhat.com> - 2.5.1-2
- Fix group removal traceback (#177737)

* Sun Jan  8 2006 Jeremy Katz <katzj@redhat.com> - 2.5.1-1
- seth loves me and made a 2.5.1 release.  so no cvs snap for you! 

* Sun Jan  8 2006 Jeremy Katz <katzj@redhat.com> - 2.5.1-0.20060108
- update to CVS snap

* Wed Dec 21 2005 Paul Nasrat <pnasrat@redhat.com> - 2.5.0-5
- Make txmbr hashable (#175975)

* Fri Dec 16 2005 Paul Nasrat <pnasrat@redhat.com> - 2.5.0-4
- Fix for KeyError when no location['base']

* Wed Dec 14 2005 Jeremy Katz <katzj@redhat.com> - 2.5.0-3
- better mirrorlist fix

* Wed Dec 14 2005 Jeremy Katz <katzj@redhat.com> - 2.5.0-2
- revert installyonlyn change that wasn't supposed to get committed
- better fix for #175647 that doesn't cause tracebacks when deps 
  need updating too
- fix mirrorlist corruption (#175436)

* Tue Dec 13 2005 Jeremy Katz <katzj@redhat.com> - 2.5.0-1
- update to 2.5.0
- add patch for traceback in #175647

* Sat Dec 10 2005 Jeremy Katz <katzj@redhat.com> - 2.5.0-0.20051210
- update to newer CVS

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Dec  7 2005 Jeremy Katz <katzj@redhat.com> - 2.5.0-0.20051207
- update to cvs snap for new group code and lots of other stuff

* Tue Dec  6 2005 Jeremy Katz <katzj@redhat.com> - 2.4.1-3
- ... and actually apply the patch

* Mon Dec  5 2005 Jeremy Katz <katzj@redhat.com> - 2.4.1-2
- add Panu's patch for cachecookie cleaning (#174715)
- change default cache time to 30 minutes to match new upstream

* Wed Nov 30 2005 Jeremy Katz <katzj@redhat.com> - 2.4.1-1
- update to 2.4.1
- add PLUGINS to the docs
- fix another installonlyn bug (#174001)

* Wed Nov 16 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-14
- really fix kernel-smp-devel

* Fri Nov 11 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-13
- handle installonlypkgs in provides too to handle, eg, 
  kernel-smp-devel (#172981)

* Thu Nov 10 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-12
- fix problem with custom kernel names in installonlyn (#172855)
- make it more obvious how to add more tokeep with installonlyn

* Wed Nov 09 2005 Paul Nasrat <pnasrat@redhat.com> - 2.4.0-11
- Expose location base from metadata

* Tue Nov  8 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-10
- fix problem in installonlyn that caillon hit where removing kernels 
  would trigger instead of only happening on update/install of kernels
- make plugin config files noreplace

* Mon Nov  7 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-9
- enable plugins by default
- add installyonlyn plugin so that we only keep two kernels around by default

* Mon Oct 24 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-8
- drop macro patch
- more fixes for returnByName* stuff -- need to leave best arch selection
  to the caller

* Sun Oct 23 2005 Paul Nasrat <pnasrat@redhat.com> - 2.4.0-7
- Drop anaconda flag patch
- Fix ppc64pseries/iseries basearch substitution

* Thu Oct 06 2005 Paul Nasrat <pnasrat@redhat.com> - 2.4.0-6
- Backport transaction constants
- Allow setting anaconda flag

* Tue Oct  4 2005 Jeremy Katz <katzj@redhat.com>
- add dirs for plugins

* Tue Sep 27 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-5
- add yum-cli dir (#169334)

* Wed Sep 21 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-4
- make returnByName* be consistent in what it returns (#168712)

* Fri Sep 16 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-3
- add two patches for anaconda that have been committed upstream
  * allow removal of packages from transaction
  * support search by name with sqlite

* Thu Sep 01 2005 Paul Nasrat <pnasrat@redhat.com> - 2.4.0-2
- Initial version of macro support patch

* Tue Aug 16 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-1
- update to 2.4.0

* Fri Jul  8 2005 Jeremy Katz <katzj@redhat.com> - 2.3.4-1
- update to 2.3.4
- use %%{python_sitelib} in the file list

* Wed Jun 15 2005 Jeremy Katz <katzj@redhat.com> - 2.3.3-1
- update to 2.3.3

* Wed May 25 2005 Paul Nasrat <pnasrat@redhat.com> - 2.3.2-7
- Drop erase reversal patch 

* Tue May 24 2005 Paul Nasrat <pnasrat@redhat.com> - 2.3.2-6
- Erase/remove reversing for yum cli (#158577)

* Tue May 24 2005 Jeremy Katz <katzj@redhat.com> - 2.3.2-5
- allow multiple packages _providing_ kernel-devel (or any installonlypkgs) 
  to be installed (#155988)

* Mon May 23 2005 Jeremy Katz <katzj@redhat.com> - 2.3.2-4
- fix traceback on out of disk space error

* Fri May 20 2005 Jeremy Katz <katzj@redhat.com> - 2.3.2-3
- add fixes from Seth for the shell to run depsolve and to clean up 
  output somewhat (#158267)

* Thu May  5 2005 Jeremy Katz <katzj@redhat.com> - 2.3.2-2
- handle ppc64/sparc64 "correctly"

* Mon Apr  4 2005 Jeremy Katz <katzj@redhat.com> - 2.3.2-1
- update to 2.3.2, now requires python-elementtree for xml parsing

* Tue Mar 15 2005 Jeremy Katz <katzj@redhat.com> - 2.3.1-3
- add patch from gijs for sqlite changes

* Mon Mar 14 2005 Florian La Roche <laroche@redhat.com>
- python-sqlite3 -> python-sqlite

* Mon Mar  7 2005 Jeremy Katz <katzj@redhat.com> - 2.3.1-1
- update to 2.3.1
- urlgrabber is split out into its own package now
- require python-sqlite3

* Tue Feb 22 2005 Jeremy Katz <katzj@redhat.com> - 2.3.0-2
- fix the duplicate repos with the same id bug

* Mon Feb 21 2005 Jeremy Katz <katzj@redhat.com> - 2.3.0-1
- update to 2.3.0

* Tue Jan 25 2005 Jeremy Katz <katzj@redhat.com> - 2.1.13-1
- update to 2.1.13

* Sat Jan 22 2005 Jeremy Katz <katzj@redhat.com> - 2.1.12-2
- allow multiple kernel-devel packages to be installed

* Wed Jan 12 2005 Florian La Roche <laroche@redhat.com>
- add small patch to fix dep reporting

* Mon Nov 29 2004 Jeremy Katz <katzj@redhat.com> - 2.1.12-1
- update to 2.1.12
- add hack from jbj to workaround python 2.4 urllib breakage (#138535)

* Mon Nov  8 2004 Jeremy Katz <katzj@redhat.com> - 2.1.11-4
- rebuild for python 2.4

* Sun Oct 31 2004 Bill Nottingham <notting@redhat.com> - 2.1.11-3
- fix multilib update patch to allow installing noarch (#135396, continued)

* Fri Oct 29 2004 Jeremy Katz <katzj@redhat.com> - 2.1.11-2
- add patch to fix multilib updates on ia32e (#135396)

* Thu Oct 28 2004 Jeremy Katz <katzj@redhat.com> - 2.1.11-1
- update to 2.1.11
  - fix config file error handling
  - better handling of empty lines/comments in mirror lists
  - improve some error messages

* Sun Oct 24 2004 Jeremy Katz <katzj@redhat.com> - 2.1.10-3.1
- make the cron job executable (#136764)

* Thu Oct 21 2004 Jeremy Katz <katzj@redhat.com> - 2.1.10-3
- actually remove the repositories

* Wed Oct 20 2004 Jeremy Katz <katzj@redhat.com> - 2.1.10-2
- remove repositories from being explicitly listed in yum.conf, 
  .repo files will be included in the fedora-release package

* Tue Oct 19 2004 Jeremy Katz <katzj@redhat.com> - 2.1.10-1
- update to 2.1.10
  * updated man pages
  * make more resilient to broken groups file
  * fix urlgrabber failure callback (#136178)

* Mon Oct 18 2004 Jeremy Katz <katzj@redhat.com> - 2.1.9-1
- 2.1.9 includes the path fix

* Mon Oct 18 2004 Jeremy Katz <katzj@redhat.com> - 2.1.8-2
- fix path in /usr/bin/yum
- turn on gpgchecking by default

* Mon Oct 18 2004 Bill Nottingham <notting@redhat.com> - 2.1.8-1
- 2.1.8, fixes #135735, #135998, #135775

* Wed Oct 13 2004 Jeremy Katz <katzj@redhat.com> - 2.1.7-2
- add yum-arch

* Wed Oct 13 2004 Jeremy Katz <katzj@redhat.com> - 2.1.7-1
- 2.1.7
- use mirror list by default

* Wed Oct  6 2004 Bill Nottingham <notting@redhat.com> - 2.1.6-1
- 2.1.6

* Mon Oct  4 2004 Jeremy Katz <katzj@redhat.com> - 2.1.5-1
- 2.1.5
- turn on obsoletes=1 by default in yum.conf

* Wed Sep 29 2004 Bill Nottingham <notting@redhat.com> - 2.1.4-1
- 2.1.4

* Fri Sep  3 2004 Bill Nottingham <notting@redhat.com> - 2.1.3-1
- 2.1.3

* Thu Sep  2 2004 Jeremy Katz <katzj@redhat.com> - 2.1.2-1
- 2.1.2

* Wed Sep  1 2004 Jeremy Katz <katzj@redhat.com> - 2.1.1-1
- 2.1.1

* Tue Aug 31 2004 Jeremy Katz <katzj@redhat.com> - 2.1.0-1
- update to 2.1.0

* Wed Jul 7 2004  Elliot Lee <sopwith@redhat.com> 2.0.7-3
- Back to rawhide

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 11 2004 Elliot Lee <sopwith@redhat.com> 2.0.7-1.1
- Update config again

* Fri May  7 2004 Jeremy Katz <katzj@redhat.com> 2.0.7-1
- update to 2.0.7
- change config to point to final FC2 locations

* Fri Apr 16 2004 Jeremy Katz <katzj@redhat.com> - 2.0.7-0.20040416
- new snap 

* Sat Apr  3 2004 Jeremy Katz <katzj@redhat.com> 2.0.7-0.20040403
- new snap, should fix yum -e name.arch

* Wed Mar 17 2004 Jeremy Katz <katzj@redhat.com> 2.0.6-1
- update to 2.0.6

* Wed Mar 10 2004 Jeremy Katz <katzj@redhat.com> 2.0.5.20040310-1
- update to today's snap

* Wed Mar  3 2004 Jeremy Katz <katzj@redhat.com> 2.0.5.20040303-1
- today's snap

* Tue Mar  2 2004 Jeremy Katz <katzj@redhat.com> - 2.0.5.20040229-1
- update again per seth's request

* Thu Feb 26 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- mv /etc/init.d -> /etc/rc.d/init.d

* Tue Feb 24 2004 Jeremy Katz <katzj@redhat.com> - 2.0.5.20040224-1
- newer

* Mon Feb 23 2004 Jeremy Katz <katzj@redhat.com> - 2.0.5.20040223-1
- update to current snapshot per skvidal's request
- add retries=20 to yum.conf

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 23 2004 Bill Nottingham <notting@redhat.com> 2.0.4.20040103-1
- update to current snapshot
- fix config for FC2 test 1

* Tue Dec 23 2003 Jeff Johnson <jbj@redhat.com> 2.0.4-5
- build yum daily snapshot for amd64 fix.

* Wed Nov 12 2003 Bill Nottingham <notting@redhat.com> 2.0.4-4
- patch for excluding dirs in yum-arch from CVS

* Thu Nov  6 2003 Jeremy Katz <katzj@redhat.com> 2.0.4-3
- patch to work with python 2.3 from Seth

* Wed Oct 29 2003 Elliot Lee <sopwith@redhat.com> 2.0.4-2
- Stick in a new yum.conf for FC1.

* Mon Oct 20 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- new upstream release 2.0.4

* Tue Sep 16 2003 Jeff Johnson <jbj@redhat.com> 2.0.3-1
- update to 2.0.3
- drop yum-init patch, merged into 2.0.3.
- change rpm version requirement to 4.1.1.

* Thu Jul 24 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- change init script to more current RHL style

* Wed Jul 23 2003 Nalin Dahyabhai <nalin@redhat.com>
- require libxml2-python, because yum does

* Thu Jul 17 2003 Jeff Johnson <jbj@redhat.com> 2.0-1
- update to 2.0.

* Thu May 22 2003 Jeff Johnson <jbj@redhat.com> 1.98-0.20030522
- update to snapshot.

* Mon May 12 2003 Jeff Johnson <jbj@redhat.com> 1.98-0.20030512
- create.
